#
# spec file for package libaio (Version 0.3.104)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libaio
License:        LGPL
Group:          System/Libraries
Autoreqprov:    on
Version:        0.3.104
Release:        14.2
Summary:        Linux-Native Asynchronous I/O Access Library
Source:         libaio-%{version}.tar.bz2
Patch:          libaio-%{version}.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Linux-native asynchronous I/O facility ("async I/O", or "aio") has
a richer API and capability set than the simple POSIX async I/O
facility. This library provides the Linux-native API for async I/O. The
POSIX async I/O facility requires this library to provide
kernel-accelerated async I/O capabilities, as do applications that
require the Linux-native async I/O API.



%debug_package
%package devel
Summary:        Development Files for Linux-native Asynchronous I/O Access
Group:          System/Libraries
Requires:       libaio = %{version}

%description devel
This package provides header files to include, and libraries to link
with, for the Linux-native asynchronous I/O facility ("async I/O", or
"aio").



%prep
%setup -q
%patch

%build
make

%install
make install prefix=$RPM_BUILD_ROOT/usr libdir=$RPM_BUILD_ROOT%{_libdir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING TODO
%attr(0755,root,root) %_libdir/libaio.so.1
%attr(0755,root,root) %_libdir/libaio.so.1.0.1

%files devel
%defattr(644,root,root,755)
/usr/include/libaio.h
%_libdir/libaio.a
%_libdir/libaio.so

%changelog -n libaio
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu May 05 2005 - schwab@suse.de
- Fix ia64 assembler.
* Wed Apr 27 2005 - kukuk@suse.de
- Update to version 0.3.104
* Wed Dec 01 2004 - kukuk@suse.de
- Update to version 0.3.102 [#44374]
* Tue Apr 20 2004 - meissner@suse.de
- fixed ppc64 alignment problems. [#38801/LTC#7503]
* Fri Mar 12 2004 - kukuk@suse.de
- Update to 0.3.98 [Bug #35266]
* Tue Mar 02 2004 - ro@suse.de
- use -fPIC for shared objects on ppc
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr and %%run_ldconfig
* Wed Oct 01 2003 - schwab@suse.de
- Fix for ia64.
* Wed Apr 23 2003 - coolo@suse.de
- fix build for lib64
* Wed Apr 23 2003 - coolo@suse.de
- use BuildRoot
* Fri Apr 11 2003 - ro@suse.de
- fix header to be includable with glibc (#26033)
* Thu Apr 03 2003 - kukuk@suse.de
- Add missing "const" to libaio.h [#26030]
* Tue Oct 01 2002 - meissner@suse.de
- Fixed __syscall_return for ppc.
* Fri Sep 20 2002 - fehr@suse.de
- Add syscall defines for x86_64
- add Andreas fix for testsuite main program to compile on x86_64
- add another fix to make testsuite build again on ia64
* Thu Sep 19 2002 - schwab@suse.de
- Add missing bits for ia64.
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Wed Sep 04 2002 - fehr@suse.de
- make package from  libaio-0.3.15-2.5
